class_name InputPromptsCenter
extends CenterContainer
## Manage the display of several inputs prompts


@onready var WalkPrompts: Control = $InputPromptsCollection/WalkPrompts
@onready var VehiclePrompts: Control = $InputPromptsCollection/VehiclePrompts


func _on_title_screen_start_game() -> void:
	_enable(WalkPrompts)


func _on_victory_menu_visibility_changed() -> void:
	queue_free()


func _enable(prompts: Control) -> void:
	prompts.set_visible(true)
	prompts.set_process_mode(Node.PROCESS_MODE_PAUSABLE)


func _disable(prompts: Control) -> void:
	prompts.set_visible(false)
	prompts.set_process_mode(Node.PROCESS_MODE_DISABLED)


func _on_main_walker_got_in(vehicle: SeatedVehicle) -> void:
	_disable(WalkPrompts)
	_enable(VehiclePrompts)


func _on_main_walker_got_out() -> void:
	_enable(WalkPrompts)
	_disable(VehiclePrompts)
